API ReferenceManagementResources
POST
/v1/mgmt/resource/update

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

resource?object

Resource CRUD messages

Update a resource, using a valid management key.

curl -X POST "https://api.descope.com/v1/mgmt/resource/update" \  -H "Content-Type: application/json" \  -d '{}'
{  "resource": {    "id": "string",    "version": "string",    "name": "string",    "scopes": {      "permissionsScopes": [        {          "name": "string",          "description": "string",          "optional": true,          "values": [            "string"          ]        }      ],      "attributesScopes": [        {          "name": "string",          "description": "string",          "optional": true,          "values": [            "string"          ]        }      ],      "connectionsScopes": [        {          "name": "string",          "description": "string",          "optional": true,          "values": [            "string"          ]        }      ]    },    "createdTime": "string",    "modifiedTime": "string",    "userAccess": "string",    "clientAccess": "string",    "description": "string",    "uri": "string"  }}
export interface Response {/** * Resource CRUD messages */resource?: {id?: stringversion?: stringname?: stringscopes?: {permissionsScopes?: {name?: stringdescription?: stringoptional?: booleanvalues?: string[]}[]attributesScopes?: {name?: stringdescription?: stringoptional?: booleanvalues?: string[]}[]connectionsScopes?: Projectv1[]}createdTime?: stringmodifiedTime?: stringuserAccess?: stringclientAccess?: stringdescription?: stringuri?: string}}/** * Keep this message synchronized with the matching one in ManagementService */export interface Projectv1 {name?: stringdescription?: stringoptional?: booleanvalues?: string[]}
Was this helpful?